show.revisionflag
Prev | Miscellaneous | Next

## Name

show.revisionflag — Enable decoration of elements that have a revisionflag

## Synopsis

    <xsl:param name="show.revisionflag">0</xsl:param>

## Description

If `show.revisionflag` is turned on, then the stylesheets may produce additional markup designed to allow a CSS stylesheet to highlight elements that have specific revisionflag settings.

The markup inserted will be usually be either a <span> or <div> with an appropriate `class` attribute. (The value of the class attribute will be the same as the value of the revisionflag attribute). In some contexts, for example tables, where extra markup would be structurally illegal, the class attribute will be added to the appropriate container element.

In general, the stylesheets only test for revisionflag in contexts where an importing stylesheet would have to redefine whole templates. Most of the revisionflag processing is expected to be done by another stylesheet, for example `changebars.xsl`.

Prev | Up | Next
show.comments | Home | shade.verbatim